Subject: Re: [RFC][PATCH] ibm_newemac: PowerPC 440EP/440GR EMAC PHY clock workaround

From: Valentine Barshak <[email-masked]>
Date: Wed, 05 Mar 2008 20:46:23 +0300

Benjamin Herrenschmidt wrote:
> On Tue, 2008-02-26 at 09:02 -0600, Josh Boyer wrote:
>> Seems the code will do the right thing since everything is using
>> flags.  I suppose my question can be withdrawn.  It is slightly
>> confusing to do it that way though.  Perhaps a function to do
>> read-modify-writes on DCRs would be welcome.  dcr_modify anyone?
> 
> Yup, we probably want to expose a dcri_clrset(), though I would also
> expose then __mtdcri/__mfdcri (non locked version) and the spinlock in
> case somebody wants to do something fancy.

I've made a patch which adds dcri_clrset function, but I haven't exposed 
the unlocked versions though. I think that dcri_clrset is sufficient for 
working with indirect dcr (at least for now, since the most fancy stuff 
done with it atm is read/modify/write) and exposing the unlocked version 
may lead to its misuse.
I'll submit the patch shortly.

Thanks,
Valentine.
> 
> Cheers,
> Ben.
> 
> 
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-dev